DataBindingSourceRegistry (Grails 3.3.10)
Date: 2019-05-20

Package: org.grails.web.databinding.bindingsource

## [Groovy] Interface DataBindingSourceRegistry

- Responsible for locating DataBindingSourceCreator instances and using them to create DataBindingSource instances

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    2.3
  See Also:
    DataBindingSourceCreator

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `BEAN_NAME`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addDataBindingSourceCreator(DataBindingSourceCreator creator)` Adds a new DataBindingSourceCreator to the registry
    `` | `CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Locates a CollectionDataBindingSource for the given MimeType and binding target
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Locates a DataBindingSource for the given MimeType and binding target

- - ### Property Detail

    - #### java.lang.String BEAN_NAME

  - ### Method Detail

    - #### void addDataBindingSourceCreator(DataBindingSourceCreator creator)

      Adds a new DataBindingSourceCreator to the registry

      Parameters:
        `creator` - The DataBindingSourceCreator

    - #### CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Locates a CollectionDataBindingSource for the given MimeType and binding target

      Parameters:
        `mimeType` - The MimeType
        `bindingTarget` - The type of the binding target
        `bindingSource` - The binding source
      Returns:
        The CollectionDataBindingSource

    - #### DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Locates a DataBindingSource for the given MimeType and binding target

      Parameters:
        `mimeType` - The MimeType
        `bindingTarget` - The type of the binding target
        `bindingSource` - The binding source
      Returns:
        The DataBindingSource